import { boot } from 'quasar/wrappers';
import { createI18n } from 'vue-i18n';
import messages from 'src/i18n';
import { locales } from 'src/i18n/handle';

const i18n = createI18n({
    locale: navigator.language || navigator.userLanguage,
    fallbackLocale: 'en',
    globalInjection: true,
    messages,
    missingWarn: false,
    fallbackWarn: false,
    legacy: false,
});

export default boot(async ({ app }) => {
    // Set i18n instance on app
    await locales();
    app.use(i18n);
});

export { i18n };
